/*---------------------------------------------------------------------------*

  Copyright 2012 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/


#ifndef UTSNAME_H_
#define UTSNAME_H_
struct utsname {
    char *sysname;
    char *nodename;
    char *release;
    char *version;
    char *machine;
};

#ifdef __cplusplus
extern "C" {
#endif

int uname(struct utsname *u);

#ifdef __cplusplus
}
#endif

#endif
